Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_BrowseMaster

Browse master.
Contained in: global
Derived from: none
Derived by: none
Group: Network (Browsing)

#include <ClanLib/network.h>

### public function member index:

### Construction:

`` | `CL_BrowseMaster` | `(`const` `CL_IPAddress`& `bind_address`)`;
``virtual`` | `~CL_BrowseMaster` | `()`;

## Description:

A browse master is a service that browse servers can register themselves to, and browse clients can then connect to the master and get a list of servers.
Normally, this is used in games to provide a list of available servers.

## Function Member Descriptions:

CL_BrowseMaster::CL_BrowseMaster - Construct a browse master.
`` `CL_BrowseMaster` `(`const` `CL_IPAddress`& `bind_address`)`;

CL_BrowseMaster::~CL_BrowseMaster - Browse Master Destructor
``virtual`` `~CL_BrowseMaster` `()`;

## Variable Member Descriptions: